package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_TABLESTRUCTURE"
)
public class TCoreTablestructure extends TBaseEntity {
   private String datasystemid;
   private String parentid;
   private String dbschema;
   private String tableorcolumnname;
   private String columntype;
   private String columnlength;
   private String isprimarykey;
   private Date createtime;
   private String javacolumntype;
   private String decimaldigits;

   public TCoreTablestructure() {
   }

   public TCoreTablestructure(String datasystemid, String parentid, String dbschema, String tableorcolumnname, String columntype, String columnlength, String isprimarykey, Date createtime, String javacolumntype, String decimaldigits) {
      this.datasystemid = datasystemid;
      this.parentid = parentid;
      this.dbschema = dbschema;
      this.tableorcolumnname = tableorcolumnname;
      this.columntype = columntype;
      this.columnlength = columnlength;
      this.isprimarykey = isprimarykey;
      this.createtime = createtime;
      this.javacolumntype = javacolumntype;
      this.decimaldigits = decimaldigits;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }

   public String getDbschema() {
      return this.dbschema;
   }

   public void setDbschema(String dbschema) {
      this.dbschema = dbschema;
   }

   public String getTableorcolumnname() {
      return this.tableorcolumnname;
   }

   public void setTableorcolumnname(String tableorcolumnname) {
      this.tableorcolumnname = tableorcolumnname;
   }

   public String getColumntype() {
      return this.columntype;
   }

   public void setColumntype(String columntype) {
      this.columntype = columntype;
   }

   public String getColumnlength() {
      return this.columnlength;
   }

   public void setColumnlength(String columnlength) {
      this.columnlength = columnlength;
   }

   public String getIsprimarykey() {
      return this.isprimarykey;
   }

   public void setIsprimarykey(String isprimarykey) {
      this.isprimarykey = isprimarykey;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getJavacolumntype() {
      return this.javacolumntype;
   }

   public void setJavacolumntype(String javacolumntype) {
      this.javacolumntype = javacolumntype;
   }

   public String getDecimaldigits() {
      return this.decimaldigits;
   }

   public void setDecimaldigits(String decimaldigits) {
      this.decimaldigits = decimaldigits;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnlength == null ? 0 : this.columnlength.hashCode());
      result = 31 * result + (this.columntype == null ? 0 : this.columntype.hashCode());
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.datasystemid == null ? 0 : this.datasystemid.hashCode());
      result = 31 * result + (this.dbschema == null ? 0 : this.dbschema.hashCode());
      result = 31 * result + (this.decimaldigits == null ? 0 : this.decimaldigits.hashCode());
      result = 31 * result + (this.isprimarykey == null ? 0 : this.isprimarykey.hashCode());
      result = 31 * result + (this.javacolumntype == null ? 0 : this.javacolumntype.hashCode());
      result = 31 * result + (this.parentid == null ? 0 : this.parentid.hashCode());
      result = 31 * result + (this.tableorcolumnname == null ? 0 : this.tableorcolumnname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreTablestructure other = (TCoreTablestructure)obj;
         if (this.columnlength == null) {
            if (other.columnlength != null) {
               return false;
            }
         } else if (!this.columnlength.equals(other.columnlength)) {
            return false;
         }

         if (this.columntype == null) {
            if (other.columntype != null) {
               return false;
            }
         } else if (!this.columntype.equals(other.columntype)) {
            return false;
         }

         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.datasystemid == null) {
            if (other.datasystemid != null) {
               return false;
            }
         } else if (!this.datasystemid.equals(other.datasystemid)) {
            return false;
         }

         if (this.dbschema == null) {
            if (other.dbschema != null) {
               return false;
            }
         } else if (!this.dbschema.equals(other.dbschema)) {
            return false;
         }

         if (this.decimaldigits == null) {
            if (other.decimaldigits != null) {
               return false;
            }
         } else if (!this.decimaldigits.equals(other.decimaldigits)) {
            return false;
         }

         if (this.isprimarykey == null) {
            if (other.isprimarykey != null) {
               return false;
            }
         } else if (!this.isprimarykey.equals(other.isprimarykey)) {
            return false;
         }

         if (this.javacolumntype == null) {
            if (other.javacolumntype != null) {
               return false;
            }
         } else if (!this.javacolumntype.equals(other.javacolumntype)) {
            return false;
         }

         if (this.parentid == null) {
            if (other.parentid != null) {
               return false;
            }
         } else if (!this.parentid.equals(other.parentid)) {
            return false;
         }

         if (this.tableorcolumnname == null) {
            if (other.tableorcolumnname != null) {
               return false;
            }
         } else if (!this.tableorcolumnname.equals(other.tableorcolumnname)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreTablestructure [datasystemid=" + this.datasystemid + ", parentid=" + this.parentid + ", dbschema=" + this.dbschema + ", tableorcolumnname=" + this.tableorcolumnname + ", columntype=" + this.columntype + ", columnlength=" + this.columnlength + ", isprimarykey=" + this.isprimarykey + ", createtime=" + this.createtime + ", javacolumntype=" + this.javacolumntype + ", decimaldigits=" + this.decimaldigits + "]";
   }
}
